Bug 313691 - (CVE-2007-5162) CVE-2007-5162 ruby Net:HTTP insufficient verification of SSL certificate
CVE-2007-5162 ruby Net:HTTP insufficient verification of SSL certificate
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=cve,reported=20070930,public=2...
: Security
Depends On: 313791 313801 320331 320341 320371 320381
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-01 07:40 EDT by Tomas Hoger
Modified: 2011-10-26 07:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 11:51:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2007-10-01 07:40:35 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-5162 to the following vulnerability:

The connect method in lib/net/http.rb in the (1) Net::HTTP and (2) Net::HTTPS
libraries in Ruby 1.8.5 and 1.8.6 does not verify that the commonName (CN)
field in a server certificate matches the domain name in an HTTPS request,
which makes it easier for remote attackers to intercept SSL transmissions via a
man-in-the-middle attack or spoofed web site.

References:

http://www.isecpartners.com/advisories/2007-006-rubyssl.txt
http://www.securityfocus.com/bid/25847
http://www.securityfocus.com/archive/1/480987

Patch applied to trunk:

http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=13499
(original advisory links to other commits in other svn branches)
Comment 2 Tomas Hoger 2007-10-01 09:24:36 EDT
This issue does not affect ruby packages as shipped in Red Hat Enterprise Linux
2.1 and 3, as they do not provide SSL support for Net::HTTP class.
Comment 24 Red Hat Product Security 2008-01-16 11:51:12 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-0965.html
  http://rhn.redhat.com/errata/RHSA-2007-0961.html

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2007-2406


Note You need to log in before you can comment on or make changes to this bug.